Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

how to change properties through macro/automaticly?

3 REPLIES 3
SOLVED
Reply
Message 1 of 4
Mees210503
474 Views, 3 Replies

how to change properties through macro/automaticly?

hi, when using a dimension line horizontally it also puts the text horizontal. but because that takes up to much space we like to put it vertically (go to properties > text > text rotation > and set it as 90 degrees)  but this takes so much time when working with 100+ dim lines. is there a way to get a macro to change the properties. or some other way to automatically change the text rotation of a dim line?   ill attach a picture of the problem! thanks in advance!

 

edit: the problem only occurs when draggig the text. when dragged it automaticly changes to its horizontal positsion.

 

Mees210503_1-1641895637573.png

Mees210503_2-1641895676106.png

 

 

Labels (1)
  • Q&A
3 REPLIES 3
Message 2 of 4
Valentin-WSP
in reply to: Mees210503

@Mees210503 ,

 

Dimension styles does not have a text rotation option.

 

Here are a few ways to do a mass dimension text rotation.

  • SELECTSIMILAR (Command) or QSELECT (Command) and then Rotate text thru Properties

ValentinWSP_0-1641900069815.png

 

  • MATCHPROPERTIES (Command)
  • Select "text ANgle" when dimensioning (except you have to do this each time)

ValentinWSP_1-1641900145420.png

 

 

 

 



Please select the "Accept as Solution" button if my post solves your issue or answers your question.


Emilio Valentin
Message 3 of 4
j.palmeL29YX
in reply to: Mees210503

Try this LISP  (quick and dirty) :  

(defun c:DTV (/ pi-2 ss number ent edat)
;;; DimText vertical
  (setq pi-2 (/ Pi 2))
  (princ "\nSelect Dimensions: ")
  (setq ss (ssget))
  (setq number (sslength ss))
  (repeat number
    (setq number (1- number))
    (setq ent (ssname ss number))
    (setq edat (entget ent))
    (setq edat (subst (cons 53 pi-2) (assoc 53 edat) edat))
    (entmod edat)
  )
)

 

HTH

Jürgen Palme
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.

EESignature

Message 4 of 4
Mees210503
in reply to: j.palmeL29YX

you are my hero! thanks!

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

AutoCAD Inside the Factory


Autodesk Design & Make Report